com.fasterxml.jackson.databind.deser.std

## Class NumberDeserializers.PrimitiveOrWrapperDeserializer<T>

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonDeserializer<T>
  - - com.fasterxml.jackson.databind.deser.std.StdDeserializer<T>
    - - com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer<T>
      - - com.fasterxml.jackson.databind.deser.std.NumberDeserializers.PrimitiveOrWrapperDeserializer<T>

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  NumberDeserializers.BooleanDeserializer, NumberDeserializers.ByteDeserializer, NumberDeserializers.CharacterDeserializer, NumberDeserializers.DoubleDeserializer, NumberDeserializers.FloatDeserializer, NumberDeserializers.IntegerDeserializer, NumberDeserializers.LongDeserializer, NumberDeserializers.ShortDeserializer

Enclosing class:
  NumberDeserializers

    protected abstract static class NumberDeserializers.PrimitiveOrWrapperDeserializer<T>
    extends StdScalarDeserializer<T>

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`JsonDeserializer.None`

### Field Summary

Fields
`protected T` `_nullValue`

### Fields inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_valueClass`

### Constructor Summary

Constructors
`protected` `NumberDeserializers.PrimitiveOrWrapperDeserializer(Class<T> vc, T nvl)`

### Method Summary

Methods
`T` `getNullValue()` Method that can be called to determine value to be used for representing null values (values deserialized when JSON token is `JsonToken.VALUE_NULL`).

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdScalarDeserializer

`deserializeWithType`

### Methods inherited from class com.fasterxml.jackson.databind.deser.std.StdDeserializer

`_parseBoolean, _parseBooleanFromNumber, _parseBooleanPrimitive, _parseByte, _parseDate, _parseDouble, _parseDoublePrimitive, _parseFloat, _parseFloatPrimitive, _parseInteger, _parseIntPrimitive, _parseLong, _parseLongPrimitive, _parseShort, _parseShortPrimitive, _parseString, findConvertingContentDeserializer, findDeserializer, getValueClass, getValueType, handleUnknownProperty, isDefaultDeserializer, isDefaultKeyDeserializer, parseDouble`

### Methods inherited from class com.fasterxml.jackson.databind.JsonDeserializer

`deserialize, deserialize, getDelegatee, getEmptyValue, getKnownPropertyNames, getObjectIdReader, isCachable, replaceDelegatee, unwrappingDeserializer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _nullValue

    protected final T _nullValue

### Constructor Detail

#### NumberDeserializers.PrimitiveOrWrapperDeserializer

    protected NumberDeserializers.PrimitiveOrWrapperDeserializer(Class<T> vc,
                                                      T nvl)

### Method Detail

#### getNullValue

    public final T getNullValue()

Description copied from class: `JsonDeserializer`
Method that can be called to determine value to be used for representing null values (values deserialized when JSON token is `JsonToken.VALUE_NULL`). Usually this is simply Java null, but for some types (especially primitives) it may be necessary to use non-null values.

Note that deserializers are allowed to call this just once and then reuse returned value; that is, method is not guaranteed to be called once for each conversion.

Default implementation simply returns null.

Overrides:
  `getNullValue` in class `JsonDeserializer<T>`